curs_delch(3)

NAME
delch, wdelch, mvdelch, mvwdelch - delete character under the cursor in a ncurses window

SYNOPSIS
#include <ncurses.h> int delch(void);
int wdelch(WINDOW *win);
int mvdelch(int y, int x);
int mvwdelch(WINDOW *win, int y, int x);

DESCRIPTION
These routines delete the character under the cursor; all characters to the right of the cursor on the same line are moved to the left one position and the last character on the line is filled with a blank. The cursor position does not change (after moving to y, x, if specified). (This does not imply use of the hardware delete character feature.)

RETURN VALUE
All routines return the integer ERR upon failure and an integer value other than ERR upon successful completion.

NOTES
Note that delch, mvdelch, and mvwdelch may be macros.

SEE ALSO
ncurses(3)